synapse-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ruwan Linton" <ruwan.lin...@gmail.com>
Subject Re: 1.1 planning
Date Mon, 10 Sep 2007 09:39:17 GMT
Ant,

1.0 mediators will not have any problem running on the 1.1 release for
sure....

Thanks,
Ruwan

On 9/10/07, ant elder <ant.elder@gmail.com> wrote:
>
>
>
> On 9/10/07, Paul Fremantle <pzfreo@gmail.com > wrote:
> >
> > Time to make a 1.1 plan.
> >
> > Plenty of good changes have been made, so I think its time to review
> > what needs to go into 1.1.
> >
> > I notice we have made an API change (Ruwan I think added a return
> > value to injectMessage()). We should either figure out another way of
> > doing this (property), or bite the bullet and declare 1.1 mediators
> > incompatible with 1.0.
> >
> > Personally I can see one good reason to break compatibility --- I
> > added the PayloadHelper class to Synapse, but I think that function
> > could be exposed directly in the MessageContext -
> > e.g.
> > getPayloadAsDOM() , getPayloadAsText(), etc.
> >
> > I think that would make writing mediators a lot simpler for 80% of
> > usecases.
> >
> > What else do we need to think about before we cut a 1.1 release?
> >
> > Paul
>
>
> I'd still like to try to get something going with the Synapse-Tuscany
> integration, no time right now as I'm 100% on getting a Tuscany 1.0 out,
> but after then may have time to get at least prototype support of that for
> Synapse 1.1.
>
> +1 to trying really hard to make 1.0 mediator impls compatible with 1.1.
>
>    ...ant
>
>
>


-- 
Ruwan Linton
http://www.wso2.org - "Oxygenating the Web Services Platform"

Mime
View raw message